Headless LMS

Read an activity's comments

GET /api/learn/activities/{activityId}/comments. Read an activity's comments. Headless LMS Discussion API reference.

GET
/api/learn/activities/{activityId}/comments

Path Parameters

activityId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/api/learn/activities/string/comments"
{  "config": {    "enabled": true,    "threaded": true,    "requireReview": true,    "reactions": true  },  "comments": [    {      "id": "string",      "activityId": "string",      "parentId": "string",      "author": {        "id": "string",        "firstName": "string",        "lastName": "string",        "image": "string",        "role": "owner"      },      "body": "string",      "status": "pending",      "removedBy": {        "id": "string",        "firstName": "string",        "lastName": "string",        "image": "string",        "role": "owner"      },      "reactions": {        "property1": 0,        "property2": 0      },      "viewerReaction": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}